﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://github.com/marticliment/WingetUI/releases/download/3.0.1/WingetUI.Installer.exe' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe' 
  url           = $url
  url64bit      = $url64

  softwareName  = 'wingetui*'

  checksum      = 'dabf9a8115e8cf4f3dab56a61b69d354fbfeb5eaacdd50e96be9c2597b0691fe'
  checksumType  = 'sha256'


  silentArgs    = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /NoVCRedist"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
